GET trackingUnits · POS API
GET trackingUnits
/trackingUnits?qnipsUserName={qnipsUserName}&outletId={outletId}&sortimentId={sortimentId}&instanceName={instanceName}Each call to this resource will always be a new identifier different from the previous call, provide the so-called 'trackingUnitId' and a 'checksumSecret' in the response.
| Return | Description |
|---|---|
| ``trackingUnitId` | You will have to set this Id in the TrackingUnitId Request Header for every further call, without which every call would be rejected by our backend. |
checksumSecret |
You will need this Secret to form a check digit, which must be transmitted with some calls of our API as security criterion. |
Therefore, call this resource only once in each terminal to be registered, persist the two values from the response and make sure that the 'checksumSecret' remains secret.
Parameter
qnipsUserNamestringErforderlichLet the merchant enter his menio username and enter it here. The value should be escaped URL-compliant, since it can contain umlauts: hans.möller@firma.de -> hans.m%C3%B6ller@firma.de
hans.m%C3%B6ller@firma.deoutletIdlongErforderlichPlease enter the ID of the outlet where the trackingUnit is to be registered.
123sortimentIdlongHere please optionally specify the ID of the sortiment on which the trackingUnit works
234instanceNamestringDuring menio activation, have the merchant enter a name for the instance to be activated and specify it here. The name entered here will be visible to the merchant in the menio web portal and will help the merchant to correctly classify this instance if necessary. The value should be escaped in accordance with the URL, since it can contain umlauts and spaces, for example: * 'Kasse im Gang 1' -> ' Kasse%20im%20gang%201'*
Kasse%20im%20Gang%201Request-Header
Acceptapplication/jsonDevKey{Your Key}Originaler Blueprint-Ausschnitt
### GET trackingUnits [GET]
Each call to this resource will always be a new identifier different from the previous call,
provide the so-called 'trackingUnitId' and a 'checksumSecret' in the response.
| Return | Description |
| --- | --- |
| ``trackingUnitId`|You will have to set this Id in the ``TrackingUnitId Request Header`` for every further call, without which every call would be rejected by our backend.|
| `checksumSecret`|You will need this `Secret` to form a check digit, which must be transmitted with some calls of our API as security criterion.
Therefore, call this resource only once in each terminal to be registered, persist the two values from the response and make sure that the 'checksumSecret' remains secret.
+ Parameters
+ qnipsUserName (`hans.m%C3%B6ller@firma.de`) ... Let the merchant enter his qnips username and enter it here. The value should be escaped URL-compliant, since it can contain umlauts: *hans.möller@firma.de -> hans.m%C3%B6ller@firma.de*
+ outletId (long, `123`) ... Please enter the ID of the outlet where the trackingUnit is to be registered.
+ sortimentId (optional, long, `234`) ... Here please optionally specify the ID of the sortiment on which the trackingUnit works
+ instanceName (optional, string, `Kasse%20im%20Gang%201`) ... During qnips activation, have the merchant enter a name for the instance to be activated and specify it here. The name entered here will be visible to the merchant in the qnips web portal and will help the merchant to correctly classify this instance if necessary. The value should be escaped in accordance with the URL, since it can contain umlauts and spaces, for example: * 'Kasse im Gang 1' -> ' Kasse%20im%20gang%201'*
+ Request
+ Headers
Accept: application/json
DevKey: {Your Key}
+ response 200
{
"trackingUnitId" = "1234567890"
"checksumSecret" = "def567"
}
+ response 500
// HTTP-InternalServerError: An unknown problem occurred during processing
+ Response 401
// HTTP-Unauthorized: DevKey or trackingUnitId not specified or not available
+ response 400
{
"ErrorId":123,
"ErrorText": "Details of the error"
}
// here all possible error codes incl. texts for this resource
// 10001: unknown qnipsUserName
// 10002: no instance name specified